<?php
session_start();
include"koneksi.php"; // masukan konekasi DB
// ambil variable data 
$nomor_surat=$_POST['nomor_surat'];
$nik=$_POST['nik'];
$no_kk=$_POST['no_kk'];
$nama=$_POST['nama'];
$alamat=$_POST['alamat'];
$jenis_kelamin=$_POST['jenis_kelamin'];
$kewarganegaraan=$_POST['kewarganegaraan'];
$agama=$_POST['agama'];
$pekerjaan=$_POST['pekerjaan'];
$keperluan=$_POST['keperluan'];
$keterangan=$_POST['keterangan'];
$berlaku_mulai=$_POST['berlaku_mulai'];
$nomor_surat = @$_GET['nomor_surat']; // ambil data ID di URL
//Proses query update
$update=mysqli_query($koneksi,"update pengantar set nik='$nik', no_kk='$no_kk', nama='$nama', alamat='$alamat', jenis_kelamin='$jenis_kelamin', kewarganegaraan='$kewarganegaraan', agama='$agama', pekerjaan='$pekerjaan', keperluan='$keperluan', keterangan='$keterangan', berlaku_mulai='$berlaku_mulai' where nomor_surat='$nomor_surat'");
if($update){

// pesan dengan sistem session
$_SESSION['pesan'] = '<font color=green>OK, 1 data berhasil diupdate.</font>';
header("location:tampildata1.php"); // kembali ke halaman tampil
}else{
echo "Gagal update data!";
}
?>